@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans:ital,opsz,wght@0,6.12,200.1000;1,6.12,200.1000&display=swap');

:root {
    --primary-background-color: #131610;
    --primary-font-color: #E0E0E0;
    --highlight-font-color: antiquewhite;
    --accent-color: #FFD66B;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Nunito Sans", sans-serif;
    width: 100%;
    min-height: 100vh;
    background-color: var(--primary-background-color);
}

header {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 15px 15px 20px;
    gap: 20px;
}

.logo {
    width: 150px;
}

.logo img {
    width: 100%;
}

main {
    color: var(--primary-font-color);
    margin: 15px 15px 20px;
}

h1 {
    font-size: 3rem;
    color: var(--highlight-font-color);
    text-align: center;
}

h2 {
    font-size: 2rem;
    text-align: center;
    margin-top: 50px;
    margin-bottom: 20px;
}

p {
    font-size: 1.25rem;
    margin-bottom: 20px;
}

.buttons {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.octagonal-button {
    width: 200px;
    height: 50px;
    border: none;
    font-size: 1.2em;
    font-weight: 600;
    color: var(--primary-background-color);
    background-color: var(--accent-color);
    text-align: center;
    cursor: pointer;
    /* Define the clip-path for an octagon */
    clip-path: polygon(
        15.5px 50px,
        0px 34.5px,
        0px 15.5px,
        15.5px 0px,
        184.5px 0px,
        200px 15.5px,
        200px 34.5px,
        184px 50px
    );
    transition: background-color 0.3s ease; /* Smooth hover effect */
}

.octagonal-button:hover {
    background-color: var(--highlight-font-color);
}

.question {
    text-align: center;
}

.input-section {
    display: flex;
    justify-content: center;
    margin: 20px 0 50px;
}

.input-section select {
    font-size: 1.2rem;
    color: var(--primary-background-color);
    background-color: var(--accent-color);
    padding: 10px;
}

.input-section .radios {
    font-size: 1.2rem;
    color: var(--primary-font-color);
    display: grid;
    grid-template-columns: repeat(var(--columns), 1fr);
    gap: 15px;
}

.input-section .radios label {
    margin-left: 10px;
}

.input-section .radios .highlight {
    font-weight: 600;
}

.personality {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.personality .emblem {
    display: flex;
    justify-content: center;
    align-items: center;
}

.personality .emblem img {
    width: 100%;
}

.personality .details {
    text-align: left;
}

footer {
    color: var(--highlight-font-color);
    font-size: 1rem;
    text-align: center;
    margin-top: 50px;
}

@media (width > 450px) { 
    .buttons {
        flex-direction: row;
    }
}

@media (width > 500px) {
    .personality {
        display: grid;
        grid-template-columns: 30% calc(70% - 15px);
        gap: 15px;
    }
}

@media (width > 930px) {
    main {
        max-width: 900px;
        margin: 0 auto;
    }
}